{
  "expo": {
    "name": "Loan Assistant",
    "slug": "assistant",
    "version": "1.0.2.1",
    "orientation": "portrait",
    "icon": "./assets/images/icon.png",
    "scheme": "loanassistant",
    "userInterfaceStyle": "light",
    "runtimeVersion": {
      "policy": "appVersion"
    },
    "ios": {
      "icon": "./assets/expo.icon",
      "bundleIdentifier": "com.cdloan.assistant",
      "buildNumber": "1",
      "infoPlist": {
        "CFBundleDisplayName": "借贷助手",
        "NSCameraUsageDescription": "需要从相机拍摄资料",
        "NSPhotoLibraryUsageDescription": "需要从相册选择资料"
      }
    },
    "android": {
      "adaptiveIcon": {
        "backgroundColor": "#E6F4FE",
        "foregroundImage": "./assets/images/android-icon-foreground.png",
        "backgroundImage": "./assets/images/android-icon-background.png",
        "monochromeImage": "./assets/images/android-icon-monochrome.png"
      },
      "predictiveBackGestureEnabled": false,
      "package": "com.cdloan.assistant",
      "versionCode": 1,
      "permissions": [
        "CAMERA",
        "READ_MEDIA_IMAGES"
      ]
    },
    "web": {
      "bundler": "metro",
      "output": "static",
      "favicon": "./assets/images/favicon.png",
      "experiments": {
        "baseUrl": "/h5"
      }
    },
    "plugins": [
      "expo-router",
      [
        "expo-splash-screen",
        {
          "backgroundColor": "#208AEF",
          "android": {
            "image": "./assets/images/splash-icon.png",
            "imageWidth": 76
          }
        }
      ],
      [
        "expo-file-system",
        {
          "supportsOpeningDocumentsInPlace": true,
          "enableFileSharing": true
        }
      ],
      [
        "expo-build-properties",
        {
          "android": {
            "enableMinifyInReleaseBuilds": true,
            "enableBundleCompression": true
          }
        }
      ],
      "expo-web-browser"
    ],
    "experiments": {
      "typedRoutes": true,
      "reactCompiler": true,
      "baseUrl": "/h5"
    },
    "updates": {
      "enabled": true,
      "checkAutomatically": "NEVER",
      "url": "https://updates-loan.ewaga.com/api/manifest",
      "fallbackToCacheTimeout": 30000,
      "codeSigningCertificate": "./code-signing/certificate.pem",
      "codeSigningMetadata": {
        "keyid": "main",
        "alg": "rsa-v1_5-sha256"
      }
    }
  }
}